Page MenuHomePhabricator

Make it easy to compute MoM and YoY changes in KPIs
Closed, ResolvedPublic2 Story Points

Description

Current date range selections do not make it easy to fill out Discovery's metrics in Wikimedia Product wiki page and the slide decks for the WMF metrics and activities meetings. The dashboard should have something to facilitate this.

Event Timeline

Wwes created this task.Jan 19 2016, 9:32 PM
Wwes assigned this task to Deskana.
Wwes raised the priority of this task from to Needs Triage.
Wwes updated the task description. (Show Details)
Wwes added a project: Discovery.
Wwes added a subscriber: Wwes.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 19 2016, 9:32 PM
Deskana moved this task from Needs triage to Analysis on the Discovery board.Feb 4 2016, 6:13 AM
dcausse moved this task from Analysis to UX on the Discovery board.Feb 4 2016, 8:22 PM
dcausse moved this task from UX to Analysis on the Discovery board.
mpopov added a subscriber: mpopov.Feb 4 2016, 10:05 PM

I should explain the current reasoning for the separate time frame logic between global settings and KPIs.

The time frame selection the global settings and the individual graphs' time frame selections are used to control how much data is displayed everywhere but KPIs, because when you select "last 7 days" or "last 30 days" in the KPI dashboard, it's actually selecting the last 14 days or the last 60 days and then calculating the % differences between the last 7/30 days and the 7/30 days before.

The shortest term solution will be to enable the same logic for the "last 90 days" option (since we now have 180+ days of data for all the KPIs, something we did not have when the feature was introduced).

We discussed a separate solution wherein the dashboard intelligently figures out the start & end dates of the current & previous quarters to have a "this quarter vs last quarter" view, but this will require more time to engineer.

I hope that makes it clearer. We will note this in the global settings panel.

Deskana renamed this task from Global usage to Fix the custom date range picker on the Discovery dashboards so that it works with the KPIs tab.Feb 9 2016, 9:25 PM
Deskana set Security to None.

I changed the task title slightly to more accurately capture the intent given in the description. We'll likely repurpose this ticket later slightly to meet the user need better. :-)

mpopov moved this task from Later to Current work on the Discovery-Analysis board.Aug 17 2016, 7:01 PM
mpopov moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.
mpopov renamed this task from Fix the custom date range picker on the Discovery dashboards so that it works with the KPIs tab to Make it easy to compute MoM and YoY changes in KPIs.Aug 17 2016, 7:04 PM
mpopov claimed this task.
mpopov updated the task description. (Show Details)
mpopov set the point value for this task to 2.
mpopov added a subscriber: Deskana.

Changed the title and description to reflect what I really think was the intent of this ticket now that I'm better informed about the process.

debt triaged this task as Normal priority.Aug 17 2016, 7:42 PM

Change 305336 had a related patch set uploaded (by Bearloga):
Add monthly metrics panel & progress bar

https://gerrit.wikimedia.org/r/305336

Change 305336 merged by Bearloga:
Add monthly metrics panel & progress bar

https://gerrit.wikimedia.org/r/305336

Up on beta: http://discovery-beta.wmflabs.org/metrics/#monthly_metrics

Will be deployed to production soon, along with a few other changes to other dashboards.

debt added a subscriber: debt.Aug 22 2016, 9:07 PM

Looks good, please push into production when you have an opportunity!

Change 306066 had a related patch set uploaded (by Bearloga):
Add month selector and bug fixes

https://gerrit.wikimedia.org/r/306066

Change 306066 merged by Chelsyx:
Add month selector and bug fixes

https://gerrit.wikimedia.org/r/306066

debt closed this task as Resolved.Aug 26 2016, 4:19 PM

Looks good!